# Class Callbacks

java.lang.Object
com.google.adk.agents.Callbacks

public final class Callbacks extends Object
Functional interfaces for agent lifecycle callbacks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `Callbacks.AfterAgentCallback`
  Async callback interface for actions to be performed after an agent has finished running.
  `static interface`
  `Callbacks.AfterAgentCallbackSync`
  Helper interface to allow for sync afterAgentCallback.
  `static interface`
  `Callbacks.AfterModelCallback`
  `static interface`
  `Callbacks.AfterModelCallbackSync`
  Helper interface to allow for sync afterModelCallback.
  `static interface`
  `Callbacks.AfterToolCallback`
  Async callback interface for actions to be performed after a tool has been invoked.
  `static interface`
  `Callbacks.AfterToolCallbackSync`
  Helper interface to allow for sync afterToolCallback.
  `static interface`
  `Callbacks.BeforeAgentCallback`
  Async callback interface for actions to be performed before an agent starts running.
  `static interface`
  `Callbacks.BeforeAgentCallbackSync`
  Helper interface to allow for sync beforeAgentCallback.
  `static interface`
  `Callbacks.BeforeModelCallback`
  `static interface`
  `Callbacks.BeforeModelCallbackSync`
  Helper interface to allow for sync beforeModelCallback.
  `static interface`
  `Callbacks.BeforeToolCallback`
  Async callback interface for actions to be performed before a tool is invoked.
  `static interface`
  `Callbacks.BeforeToolCallbackSync`
  Helper interface to allow for sync beforeToolCallback.
  `static interface`
  `Callbacks.OnModelErrorCallback`
  Async callback interface for handling errors that occur during an LLM model call.
  `static interface`
  `Callbacks.OnModelErrorCallbackSync`
  Helper interface to allow for sync onModelErrorCallback.
  `static interface`
  `Callbacks.OnToolErrorCallback`
  Async callback interface for handling errors that occur during a tool invocation.
  `static interface`
  `Callbacks.OnToolErrorCallbackSync`
  Helper interface to allow for sync onToolErrorCallback.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`